<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.newfeifan.zx</groupId>
        <artifactId>feifan-module-crm</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>feifan-module-crm-biz</artifactId>

    <name>${project.artifactId}</name>
    <description>
        crm 包下，客户关系管理（Customer Relationship Management）。
        例如说：客户、联系人、商机、合同、回款等等
    </description>

    <dependencies>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-system-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-module-crm-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-operatelog</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-ip</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-biz-dict</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>cn.newfeifan.zx</groupId>
            <artifactId>feifan-spring-boot-starter-test</artifactId>
        </dependency>
    </dependencies>
</project>
